commit:     1d52a01ad99d612df186247c6c2352b05f179ff9
Author:     Anton Fischl <github <AT> fischl-online <DOT> de>
AuthorDate: Wed Apr  2 03:47:06 2025 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Apr  2 04:14:47 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d52a01a

www-apps/icingaweb2: add 2.12.4

Bug: https://bugs.gentoo.org/953033
Signed-off-by: Anton Fischl <github <AT> fischl-online.de>
Closes: https://github.com/gentoo/gentoo/pull/41425
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 www-apps/icingaweb2/Manifest                 |  1 +
 www-apps/icingaweb2/icingaweb2-2.12.4.ebuild | 77 ++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/www-apps/icingaweb2/Manifest b/www-apps/icingaweb2/Manifest
index 9ef65e743afc..6b20c96488cb 100644
--- a/www-apps/icingaweb2/Manifest
+++ b/www-apps/icingaweb2/Manifest
@@ -1 +1,2 @@
 DIST icingaweb2-2.12.1.tar.gz 6353911 BLAKE2B 
c1f52444c2ccc1eeafce89603564f21269607bc183a3189b80d93ccba5d621bf8c8bd79c75e5c9aaeb6672870923f99c98c7ebc469147125a803d16b00f9426d
 SHA512 
71e6ad8f947ee47ff0bd3924920584c558fbd8e371f76adb83cc08e95442e792009af79280c484afe478cf1a176cf2812c6be661d838f61f044abdc106ca0999
+DIST icingaweb2-2.12.4.tar.gz 6362942 BLAKE2B 
1a58607170e461ada2d531c008dae5d17cfc7244a5ee98a3f0a4784539d02c86122d3e76e3f753fa0cc4da4052e1526fae6444c03f7ba87dc724482df7757d19
 SHA512 
e068ee079726d4e941eb2bb2adc1e3f143cd1ccca5456fb93624344deb737ee20a116d3c638a845efe8871af39af7dffa6fe63fae63295573424bdba61c376b0

diff --git a/www-apps/icingaweb2/icingaweb2-2.12.4.ebuild 
b/www-apps/icingaweb2/icingaweb2-2.12.4.ebuild
new file mode 100644
index 000000000000..a2a17250ca4c
--- /dev/null
+++ b/www-apps/icingaweb2/icingaweb2-2.12.4.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit depend.apache
+
+DESCRIPTION="Icinga Web 2 - Frontend for icinga2"
+HOMEPAGE="https://icinga.com/";
+
+if [[ ${PV} == *9999 ]];then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/Icinga/icingaweb2.git";
+       EGIT_BRANCH="master"
+else
+       SRC_URI="https://codeload.github.com/Icinga/${PN}/tar.gz/v${PV} -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="apache2 apache2-server fpm ldap mysql nginx pdf postgres"
+REQUIRED_USE="( ?? ( apache2-server nginx ) ) apache2? ( apache2-server )"
+
+DEPEND=">=net-analyzer/icinga2-2.1.1
+               dev-php/pecl-imagick
+               pdf? ( media-gfx/imagemagick[png] )
+               apache2-server? ( >=www-servers/apache-2.4.0 )
+               nginx? ( >=www-servers/nginx-1.7.0:* )
+               || (
+                       
dev-lang/php:8.1[apache2?,cli,curl,fileinfo,fpm?,gd,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+                       
dev-lang/php:8.2[apache2?,cli,curl,fileinfo,fpm?,gd,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+                       
dev-lang/php:8.3[apache2?,cli,curl,fileinfo,fpm?,gd,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+               )
+               >=dev-libs/icinga-php-library-0.13.0
+               >=dev-libs/icinga-php-thirdparty-0.12.0
+               acct-group/icingacmd
+               acct-group/icingaweb2"
+RDEPEND="${DEPEND}
+       apache2? ( acct-user/apache[icingaweb2] )
+       nginx? ( acct-user/nginx[icingaweb2] )
+"
+
+want_apache2
+
+pkg_config() {
+       if [[ -d /etc/icingaweb2 ]] ; then
+               einfo "Updating existing installation ..."
+       else
+               einfo "Running first time setup ..."
+               einfo "Creating configuration directory ..."
+               /usr/share/${PN}/bin/icingacli setup config directory
+               einfo "Creating authentication token for web setup ..."
+               /usr/share/${PN}/bin/icingacli setup token create
+               if use apache2 ; then
+                       einfo "The following might be useful for your Apache2 
configuration:"
+                       /usr/share/${PN}/bin/icingacli setup config webserver 
apache --document-root /usr/share/${PN}/public
+               fi
+               if use nginx ; then
+                       einfo "The following might be useful for your NGinx 
configuration:"
+                       /usr/share/${PN}/bin/icingacli setup config webserver 
nginx --document-root /usr/share/${PN}/public
+               fi
+       fi
+       einfo "All done."
+}
+
+src_install() {
+       insinto "/usr/share/${PN}"
+       doins -r "${S}"/*
+       fperms -R a+rX "/usr/share/${PN}/public/"
+       fperms u+x,g+x "/usr/share/${PN}/bin/icingacli"
+       fowners root:icingaweb2 "/usr/share/${PN}/bin/icingacli"
+}
+
+pkg_postinst() {
+       einfo "Run 'emerge --config =${CATEGORY}/${PF}' to finish setup."
+}

Reply via email to